Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Debian Local Security Checks >> [DSA916] DSA-916-1 inkscape


Vulnerability Assessment Details

[DSA916] DSA-916-1 inkscape

Vulnerability Assessment Summary
DSA-916-1 inkscape

Detailed Explanation for this Vulnerability Assessment

Several vulnerabilities have been discovered in Inkscape, a
vector-based drawing program. The Common Vulnerabilities and
Exposures project identifies the following problems:
Joxean Koret discovered a buffer overflow in the SVG parsing
routines that can lead to the execution of arbitrary code.
Javier Fernández-Sanguino Peña noticed that the ps2epsi extension
shell script uses a hardcoded temporary file making it vulnerable
to symlink attacks.
The old stable distribution (woody) does not contain inkscape packages.
For the stable distribution (sarge) this problem has been fixed in
version 0.41-4.99.sarge2.
For the unstable distribution (sid) this problem has been fixed in
version 0.42.2+0.43pre1-1.
We recommend that you upgrade your inkscape package.


Solution : http://www.debian.org/security/2005/dsa-916
Network Security Threat Level: High

Networks Security ID: 14522

Vulnerability Assessment Copyright: This script is (C) 2007 Michel Arboi

Cables, Connectors

Sony Vaio VGN-CR31S Laptop 14.1" Pink, Intel Core Duo 2.10GHz, 2GB RAM, 250GB HD
$110.0
Sony Vaio VGN-CR31S Laptop 14.1DELL PowerEdge 860 Server 3.0 Ghz CPU Processor , 2GB RAM, 250GB HDD,
$195.0
DELL PowerEdge 860 Server 3.0 Ghz CPU Processor , 2GB RAM, 250GB HDD, pictureWYSE 902138-01l V10L C7 800mhz, 128mb Ram Thin Client Terminal - NEW
$159.95
WYSE 902138-01l V10L C7 800mhz, 128mb Ram Thin Client Terminal - NEW pictureHP Proliant DL320e GEN8 V2 Server Quad Core 3.1Ghz CPU 4GB Ram 2 x 500GB HDD
$595.0
HP Proliant DL320e GEN8 V2 Server Quad Core 3.1Ghz CPU 4GB Ram 2 x 500GB HDD picture


Discussions

No Discussions have been posted on this vulnerability.